/// <reference types="backbone" />
import { IModelOptions } from './ScaleModel';
import { LinearScaleModel } from './LinearScaleModel';
export type DomainType = number | Date;
export declare class ColorScaleModel extends LinearScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        mid: null;
        scheme: string;
        extrapolation: string;
        colors: null;
        min: null;
        max: null;
        min_range: number;
        mid_range: number;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    /**
     * @deprecated use colorRange
     */
    get color_range(): number[];
    protected setListeners(): void;
    protected updateDomain(): void;
    private createDomain;
    private colorsChanged;
    protected toDomainType(value: number): any;
    readonly type: string;
    colorRange: number[];
    mid: DomainType | null;
}
