/// <reference types="backbone" />
import * as d3Geo from 'd3-geo';
import { ScaleModel, IModelOptions } from './ScaleModel';
export declare class GeoScaleModel extends ScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    projection: d3Geo.GeoProjection;
    readonly type: string;
}
export declare class MercatorModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        rotate: number[];
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    createProjection(): void;
}
export declare class AlbersModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        parallels: number[];
        precision: number;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    createProjection(): void;
}
export declare class AlbersUSAModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        translate: number[];
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    createProjection(): void;
}
export declare class EquiRectangularModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    createProjection(): void;
}
export declare class OrthographicModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        rotate: number[];
        clip_angle: number;
        precision: number;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    createProjection(): void;
}
export declare class GnomonicModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        precision: number;
        clip_angle: number;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    createProjection(): void;
}
export declare class StereographicModel extends GeoScaleModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        scale_factor: number;
        center: number[];
        precision: number;
        rotate: number[];
        clip_angle: number;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    createProjection(): void;
}
