import * as d3Scale from 'd3-scale';
import { WidgetView } from '@jupyter-widgets/base';
import { ScaleModel } from './ScaleModel';
export declare abstract class Scale extends WidgetView {
    render(): void;
    protected createEventListeners(): void;
    setRange(range: [number, number], padding?: undefined): void;
    /**
     * @deprecated use setRange
     */
    set_range(range: [number, number], padding?: undefined): void;
    computeAndSetDomain(array: any[], id: string): void;
    /**
     * @deprecated use computeAndSetDomain
     */
    compute_and_set_domain(array: any[], id: string): void;
    setDomain(array: any[], id: string): void;
    /**
     * @deprecated use set_domain
     */
    set_domain(array: any[], id: string): void;
    expandDomain(oldRange: [number, number], newRange: [number, number]): void;
    /**
     * @deprecated use expandDomain
     */
    expand_domain(oldRange: [number, number], newRange: [number, number]): void;
    protected modelDomainChanged(): void;
    protected highlightAxis(): void;
    protected unhighlightAxis(): void;
    protected abstract createD3Scale(): any;
    offset: number;
    scale: d3Scale.ScaleTime<any, any> | d3Scale.ScaleOrdinal<any, any> | d3Scale.ScaleBand<any> | d3Scale.ScaleLinear<any, any> | d3Scale.ScaleLogarithmic<any, any>;
    model: ScaleModel;
}
