/// <reference types="backbone" />
import { WidgetModel } from '@jupyter-widgets/base';
export interface IModelOptions {
    model_id: string;
    comm?: any;
    widget_manager: any;
}
export declare abstract class ScaleModel extends WidgetModel {
    defaults(): {
        _model_name: string;
        _view_name: string;
        _model_module: any;
        _view_module: any;
        _model_module_version: string;
        _view_module_version: string;
        reverse: boolean;
        allow_padding: boolean;
    };
    initialize(attributes: Backbone.ObjectHash, options: IModelOptions): void;
    setDomain(domain: any[], id: string): void;
    /**
     * @deprecated use setDomain
     */
    set_domain(domain: any[], id: string): void;
    delDomain(domain: any[], id: string): void;
    /**
     * @deprecated use delDomain
     */
    del_domain(domain: any[], id: string): void;
    getDomainSliceInOrder(): any[];
    /**
     * @deprecated use getDomainSliceInOrder
     */
    get_domain_slice_in_order(): any[];
    getDateElem(param: string): Date | null;
    /**
     * @deprecated use getDateElem
     */
    get_date_elem(param: string): Date | null;
    setDateElem(param: string, value: any): void;
    /**
     * @deprecated use setDateElem
     */
    set_date_elem(param: string, value: any): void;
    convertToDate(elem: any): Date | null;
    /**
     * @deprecated use convertToDate
     */
    convert_to_date(elem: any): Date | null;
    convertToJson(elem: any): any;
    /**
     * @deprecated use convertToJson
     */
    convert_to_json(elem: any): any;
    computeAndSetDomain(array: any[], id: string): void;
    /**
     * @deprecated use computeAndSetDomain
     */
    compute_and_set_domain(array: any[], id: string): void;
    protected updateDomain(): void;
    /**
     * @deprecated use updateDomain
     */
    update_domain(): void;
    protected setListeners(): void;
    readonly type: string;
    domain: any[];
    protected domains: any;
    protected reverse: boolean;
}
